disable strict hostkey checking
continuous-integration/drone/push Build is passing Details

This commit is contained in:
Jochen Welzel 2021-01-18 18:00:30 +01:00
parent d6153ad67c
commit 94ff855497
1 changed files with 2 additions and 2 deletions

View File

@ -11,14 +11,14 @@ echo "Changed files: $CHFILENAMES"
for file in $CHFILENAMES; do
if [[ $file == *"zone" ]]; then
echo "SCP of $file started"
scp $file "$PLUGIN_USER"@"$PLUGIN_HOSTS":"$PLUGIN_TARGET"/$file
scp -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $file "$PLUGIN_USER"@"$PLUGIN_HOSTS":"$PLUGIN_TARGET"/$file
if [ $? -ne 0 ]; then
echo "SCP failed" 1>&2
exit 1
fi
ZONE=$(echo $file | sed 's/\.zone//')
echo "Reload $ZONE zone"
ssh "PLUGIN_USER"@"$PLUGIN_HOSTS" nsd-control reload $ZONE
ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null "PLUGIN_USER"@"$PLUGIN_HOSTS" nsd-control reload $ZONE
if [ $? -ne 0 ]; then
echo "Reload of zone failed" 1>&2
exit 1